package com.taauav.admin.controller;

import com.taauav.common.bean.Response;
import com.taauav.admin.service.ISysCityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author daixiantong
 */
@RestController
@RequestMapping("/index")
public class IndexController {
    @Autowired
    private Response response;
    @Autowired
    private ISysCityService cityService;

    /**
     * 首页接口
     * @return
     */
    @GetMapping("/dashboard")
    public Response index() {
        return cityService.getCityDriverList(320100);
    }
}
