package com.taauav.admin.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.admin.entity.TauvInspectDriver;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class TauvInspectDriverAssignTaskDTO {

    /**
     * 分配河流列表
     */
    List<TauvInspectDriver> inspectDrivers;

    /**
     * 飞手ID
     */
    private Integer adminId;

    /**
     * 无人机设备ID
     */
    private Integer equipmentId;

    /**
     * 挂载设备ID
     */
    private Integer mountequipmentId;

    /**
     * 执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date executionTime;

}
