package com.taauav.admin.entity;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 外部用户角色表
 * </p>
 *
 * @author dyg
 * @since 2020-04-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class LsAuthGroup extends Entity {

    private static final long serialVersionUID = 1L;


    /**
     * 用户组中文名称
     */
    private String name;

    /**
     * 数据权限：1查看自己区划数据 2查看所有区划数据 3查看指定区划数据
     */
    private Integer authData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;


}
