package com.taauav.front.controller;

import com.taauav.common.bean.Response;
import com.taauav.front.dto.LoginDto;
import com.taauav.front.service.ILsLoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/front/login")
public class LsLoginController extends FrontBaseController {

    @Autowired
    private ILsLoginService loginService;

    @Autowired
    private Response response;

    /**
     * 系统登录
     *
     * @param loginDto 参数
     * @return
     */
    @PostMapping("/login")
    public Response login(@RequestBody LoginDto loginDto) {
        return loginService.login(loginDto);
    }

}
